/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.webservice.marshalltest.types;

import java.util.Arrays;

// $Id: StringArr.java,v 1.2.2.1 2004/10/24 19:12:34 tdiesler Exp $

/**
 * Created by IntelliJ IDEA.
 *
 * @author Thomas.Diesler@jboss.org
 * @since 24-Sep-2004
 */
public class StringArr
{
   private String[] stringArr;

   public StringArr()
   {
   }

   public StringArr(String[] stringArr)
   {
      this.stringArr = stringArr;
   }

   public String[] getStringArr()
   {
      return stringArr;
   }

   public void setStringArr(String[] stringArr)
   {
      this.stringArr = stringArr;
   }

   public boolean equals(Object obj)
   {
      return toString().equals("" + obj);
   }

   public String toString()
   {
      return stringArr != null ? Arrays.asList(stringArr).toString() : "[]";
   }
}
